Subject: [PATCH 5/5 v2] ARM: kirkwood: convert orion-wdt to fdt.

From: [email-masked] (Arnd Bergmann)
Date: Fri, 2 Mar 2012 20:02:59 +0000

On Friday 02 March 2012, Jason wrote:
> On Fri, Mar 02, 2012 at 06:32:33PM +0000, Arnd Bergmann wrote:
>
> > As I commented before, I think the best approach would be to
> > provide a hardcoded resource for the device in the legacy case
> > and just use platform_get_resource() to get the resource
> > and ioremap it in either case.
> 
> Sorry, my denseness got in the way.  When you said hardcoded, I thought
> you meant #define TIMER_VIRT_BASE .

Using TIMER_VIRT_BASE wouldn't be all that wrong either, but I think it's
better to use the same code path in both ways. Using a resource also has
the nice side-effect of allowing us to build a multiplatform kernel for
anything that uses orion-wdt but has different constants for TIMER_VIRT_BASE.

	Arnd